#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""datutil - parser"""

# minimal python3 compatibility
from __future__ import print_function
import datetime
import dateutil.parser as parser

s1 = '12.4.2016 13:23'
print('String1         : ', s1)
dt1 = parser.parse(s1)  # Standard interpretation
print('Datetime1(US)   : ',dt1)
dt2 = parser.parse(s1, dayfirst=True)  # 'De' interpretation
print('Datetime2(DE)   : ',dt2)

s3 = '2017-06-12 13:23 CET'  # near ISO
print('String3         : ', s3)
dt3 = parser.parse(s3)
print('Datetime (~ISO) : ',dt3)

s4 = '2016-04-12T13:23Z'
print('String4         : ', s4)
dt4 = parser.parse(s4)
print('Datetime3 (~ISO): ',dt4)
